#!/bin/sh
# Released under the WTFPL, without any warranty of any kind.

case "$LANG" in
	fr*)
	sed -i 's/name = Suspend/name = Veille/;s/name = To RAM/name = Sur RAM/
		s/name = To disk /name = Sur disque /;s/name = Reboot/name = Redémarrer/
		s/name = Shutdown/name = Éteindre/' ~/.config/fbpanel/default
	sed -i 's/"Environment"/"Environnement"/;s/"Desktop"/"Bureau"/
		s/"Shortcuts"/"Raccourcis"/;s/"Reload"/"Recharger"/
		s/"FBpanel fixed"/"FBpanel fixe"/;s/"Tint2 fixed"/"Tint2 fixe"/
		s/"FBpanel config"/"Config FBpanel"/;s/"Desktop icons"/"Icônes du bureau"/
		s/"Enable desktop icons"/"Activer les icônes du bureau"/
		s/"Disable desktop icons"/"Désactiver les icônes du bureau"/
		s/"Effects"/"Effets"/;s/"Disable effects"/"Effets désactivés"/
		s/"Transparency"/"Transparence"/
		s/"Transparency, fadings"/"Transparence, fondus"/
		s/"Transparency, fadings, shadows"/"Transparence, fondus, ombres"/
		s/"Theme"/"Thème"/;s/"Dark /"Sombre /;s/"Bright /"Clair /
		s/"Wallpaper"/"Fond d’écran"/;s/"Random"/"Aléatoire"/
		s/"Choose the folder"/"Choisir le dossier"/
		s/"Choose an image"/"Choisir une image"/
		s/"Sound volume icon"/"Icône de volume son"/
		s/"Enable"/"Activer"/g;s/"Disable"/"Désactiver"/g
		s/"Battery monitor"/"Moniteur batterie"/;s/"Wicd tray icon"/"Icône tray Wicd"/
		s/"Suspend"/"Veille"/;s/"To RAM"/"Sur RAM"/;s/"To disk /"Sur disque /
		s/"Reboot"/"Redémarrer"/;s/"Shutdown"/"Éteindre"/' ~/.config/openbox/menu.xml
	;;
	*)
	sed -i 's/name = Veille/name = Suspend/;s/name = Sur RAM/name = To RAM/
		s/name = Sur disque /name = To disk /;s/name = Redémarrer/name = Reboot/
		s/name = Éteindre/name = Shutdown/' ~/.config/fbpanel/default
	sed -i 's/"Environnement"/"Environment"/;s/"Bureau"/"Desktop"/
		s/"Raccourcis"/"Shortcuts"/;s/"Recharger"/"Reload"/
		s/"FBpanel fixe"/"FBpanel fixed"/;s/"Tint2 fixe"/"Tint2 fixed"/
		s/"Config FBpanel"/"FBpanel config"/;s/"Icônes du bureau"/"Desktop icons"/
		s/"Activer les icônes du bureau"/"Enable desktop icons"/
		s/"Désactiver les icônes du bureau"/"Disable desktop icons"/
		s/"Effets"/"Effects"/;s/"Effets désactivés"/"Disable effects"/
		s/"Transparence"/"Transparency"/
		s/"Transparence, fondus"/"Transparency, fadings"/
		s/"Transparence, fondus, ombres"/"Transparency, fadings, shadows"/
		s/"Thème"/"Theme"/;s/"Sombre /"Dark /;s/"Clair /"Bright /
		s/"Fond d’écran"/"Wallpaper"/;s/"Aléatoire"/"Random"/
		s/"Choisir le dossier"/"Choose the folder"/
		s/"Choisir une image"/"Choose an image"/
		s/"Icône de volume son"/"Sound volume icon"/
		s/"Activer"/"Enable"/g;s/"Désactiver"/"Disable"/g
		s/"Moniteur batterie"/"Battery monitor"/;s/"Icône tray Wicd"/"Wicd tray icon"/
		s/"Veille"/"Suspend"/;s/"Sur RAM"/"To RAM"/;s/"Sur disque /"To disk /
		s/"Redémarrer"/"Reboot"/;s/"Éteindre"/"Shutdown"/' ~/.config/openbox/menu.xml
	;;
esac
