#!/bin/sh
# Released under the WTFPL, without any warranty of any kind.

case "$1" in
	set)
		sed -i 's/#volumeicon/volumeicon/' ~/.config/openbox/autostart.sh
		[ -z "$(pidof volumeicon)" ] && volumeicon &
	;;
	unset)
		sed -i 's/^volumeicon/#volumeicon/g' ~/.config/openbox/autostart.sh
		killall volumeicon
	;;
	*)
		echo 'This script accepts the following arguments: set, unset'
	;;
esac
