#!/bin/sh
# Suspend to ram if battery goes under this capacity when discharging :
percent=3

while true;do
        state="$(acpi |grep ischarging |sed 's/.*ischarging, \([^ ]*\)%.*/\1/')"
        [ -z "$state" ] && state=100
        if [ "$state" -le "$percent" ];then
                dbus-send --print-reply --system --dest=org.freedesktop.UPower /org/freedesktop/UPower org.freedesktop.UPower.Suspend
        fi
        sleep 20
done
