#!/bin/sh
# Released under the WTFPL, without any warranty of any kind.

case "$1" in
	set)
		case "$LANG" in
		 fr*) _info='Lancez le daemon wicd avant' ;;
		 *)   _info='Run the wicd daemon first' ;;
		esac
		if [ -n "$(pgrep wicd-monitor)" ];then
			sed -i 's/#wicd-client/wicd-client/' ~/.config/openbox/autostart.sh
			[ -z "$(pgrep wicd-client)" ] && wicd-client &
		else
			echo 'import gtk;gtk.MessageDialog(None,0,gtk.MESSAGE_INFO,gtk.BUTTONS_CLOSE, "'"$_info"'").run()' |python2
		fi
	;;
	unset)
		sed -i 's/^wicd-client/#wicd-client/g' ~/.config/openbox/autostart.sh
		killall wicd-client
	;;
	*)
		echo 'This script accepts the following arguments: set, unset'
	;;
esac
